curl -X DELETE "https://app.runtm.com/api/cloud/v1/scheduled-agents/sa_9f3c1a" \
-H "Authorization: Bearer runtm_xxx" \
-H "X-Organization-Id: org_abc123"
runtm-api scheduled-agents delete sa_9f3c1a --yes
{}
Scheduled Agents
Delete Scheduled Agent
Permanently delete a scheduled agent and its schedule
DELETE
/
api
/
v1
/
scheduled-agents
/
{agent_id}
curl -X DELETE "https://app.runtm.com/api/cloud/v1/scheduled-agents/sa_9f3c1a" \
-H "Authorization: Bearer runtm_xxx" \
-H "X-Organization-Id: org_abc123"
runtm-api scheduled-agents delete sa_9f3c1a --yes
{}
Deletes the agent and best-effort removes its Cloud Scheduler job, returning
204. To pause a schedule while keeping its configuration, use Update with "enabled": false instead.
Required scope: sessions:write and an admin or owner role.
Path Parameters
string
required
The scheduled agent ID.
curl -X DELETE "https://app.runtm.com/api/cloud/v1/scheduled-agents/sa_9f3c1a" \
-H "Authorization: Bearer runtm_xxx" \
-H "X-Organization-Id: org_abc123"
runtm-api scheduled-agents delete sa_9f3c1a --yes
{}